<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTexts") label="Texts"]]
  <li>
    Select a text
  </li>
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Select a text"]]

<semantic-search>

  <bs-tabs id="tabs" class="header">
    <bs-tab event-key="1" title="By title and author">
      <semantic-search-form-query
        query-template='{
            "queryString": "
              SELECT ?subject WHERE { 
                ?subject a ismi:Text; 
                  crm:P102_has_title ?title.
                ?title crm:P2_has_type ismititletype:preferred-title;
                  rdfs:label ?search_hit.
                ?search_hit bds:search ?t_trans;
                  bds:matchAllTerms \"true\".
                ?subject frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?author.
              }",
            "arguments": {
              "author": {"type": "xsd:anyURI", "optional": true},
              "t_trans": {"type": "xsd:langString"}
            }
        }'
        fields="[[fieldDefinitions
          author='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
          t_trans='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/full_title_translit'
        ]]">
      
        <semantic-form-text-input for="t_trans" placeholder="Enter a word of a title you would like to search for" default-value="*"></semantic-form-text-input>
        <semantic-form-autocomplete-input placeholder="Select author (optional)" for="author"></semantic-form-autocomplete-input>

        <div style="margin-top: 2rem;">
          <button type='button' name='submit' className='btn btn-default'>Search</button>
          (You can close this window after you have copied the ID)
        </div>
      </semantic-search-form-query>
    </bs-tab>
    
    <bs-tab event-key="2" title="By author">
      <semantic-search-form-query
        query-template='{
            "queryString": "
              SELECT ?subject WHERE { 
                ?subject a ismi:Text; 
                  crm:P102_has_title ?title.
                ?title crm:P2_has_type ismititletype:preferred-title.
                ?subject frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?author.
              }",
            "arguments": {
              "author": {"type": "xsd:anyURI"}
            }
        }'
        fields="[[fieldDefinitions
          author='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
        ]]">
    
        <semantic-form-autocomplete-input placeholder="Select author (optional)" for="author"></semantic-form-autocomplete-input>
    
        <div style="margin-top: 2rem;">
          <button type='button' name='submit' className='btn btn-default'>Search</button>
          (You can close this window after you have copied the ID)
        </div>
      </semantic-search-form-query>
    </bs-tab>
  </bs-tabs>   

  <semantic-search-result-holder>
    <semantic-search-result>
      <div class="panel gap">
        <div class="panel-body">
[[> Partial:tableTexts copyId=true ]]
        </div>
      </div>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>


[[> Partial:contentEnd]]
